{
	"name": "lit-forms",
	"version": "0.0.1",
	"description": "Lit forms inspired by angular reactive forms",
	"license": "MIT",
	"author": "David Kudera <kudera.d@gmail.com>",
	"homepage": "https://gitlab.com/dkx/lit/forms2/-/blob/main/README.md",
	"repository": {
		"type": "git",
		"url": "git@gitlab.com:dkx/lit/forms2.git"
	},
	"bugs": {
		"url": "https://gitlab.com/dkx/lit/forms2/-/issues"
	},
	"keywords": [
		"lit",
		"lit-element",
		"lit-html",
		"forms",
		"input"
	],
	"type": "module",
	"main": "lib/index.js",
	"module": "lib/index.js",
	"types": "lib/index.d.ts",
	"exports": {
		".": "./lib/index.js",
		"./events": "./lib/events.js",
		"./component-model": "./lib/component-model.js",
		"./native": "./lib/native.js",
		"./shoelace": "./lib/shoelace.js",
		"./spectrum": "./lib/spectrum.js",
		"./vaadin": "./lib/vaadin.js",
		"./validation": "./lib/validation.js",
		"./value-accessors": "./lib/value-accessors.js"
	},
	"peerDependencies": {
		"lit": "^2.7.4",
		"rxjs": ">=7.0.0"
	},
	"devDependencies": {
		"@babel/plugin-proposal-class-properties": "^7.18.6",
		"@babel/plugin-proposal-decorators": "^7.21.0",
		"@babel/preset-env": "^7.21.5",
		"@babel/preset-react": "^7.18.6",
		"@babel/preset-typescript": "^7.21.5",
		"@esm-bundle/chai-as-promised": "^7.1.1",
		"@open-wc/testing": "^3.1.8",
		"@shoelace-style/shoelace": "^2.5.1",
		"@spectrum-web-components/checkbox": "^0.30.0",
		"@spectrum-web-components/color-area": "^0.30.0",
		"@spectrum-web-components/color-slider": "^0.30.0",
		"@spectrum-web-components/color-wheel": "^0.30.0",
		"@spectrum-web-components/field-label": "^0.30.0",
		"@spectrum-web-components/help-text": "^0.30.0",
		"@spectrum-web-components/number-field": "^0.30.0",
		"@spectrum-web-components/picker": "^0.30.0",
		"@spectrum-web-components/radio": "^0.30.0",
		"@spectrum-web-components/search": "^0.30.0",
		"@spectrum-web-components/slider": "^0.30.0",
		"@spectrum-web-components/switch": "^0.30.0",
		"@spectrum-web-components/textfield": "^0.30.0",
		"@spectrum-web-components/theme": "^0.30.0",
		"@storybook/addon-essentials": "^7.0.11",
		"@storybook/addon-links": "^7.0.11",
		"@storybook/blocks": "^7.0.11",
		"@storybook/web-components": "^7.0.11",
		"@storybook/web-components-webpack5": "^7.0.11",
		"@types/chai-as-promised": "^7.1.5",
		"@types/node": "^20.1.4",
		"@vaadin/checkbox": "^24.0.5",
		"@vaadin/combo-box": "^24.0.5",
		"@vaadin/date-picker": "^24.0.5",
		"@vaadin/date-time-picker": "^24.0.5",
		"@vaadin/email-field": "^24.0.5",
		"@vaadin/list-box": "^24.0.5",
		"@vaadin/multi-select-combo-box": "^24.0.5",
		"@vaadin/number-field": "^24.0.5",
		"@vaadin/password-field": "^24.0.5",
		"@vaadin/radio-group": "^24.0.5",
		"@vaadin/select": "^24.0.5",
		"@vaadin/text-area": "^24.0.5",
		"@vaadin/text-field": "^24.0.5",
		"@vaadin/time-picker": "^24.0.5",
		"@web/dev-server-esbuild": "^0.4.1",
		"@web/test-runner": "^0.16.1",
		"@web/test-runner-playwright": "^0.10.0",
		"lit": "^2.7.4",
		"react": "^18.2.0",
		"react-dom": "^18.2.0",
		"rxjs": "^7.8.1",
		"sinon": "^15.1.0",
		"storybook": "^7.0.11",
		"typedoc": "^0.24.7",
		"typescript": "^5.0.4"
	},
	"scripts": {
		"build": "tsc",
		"watch": "tsc --watch",
		"storybook": "storybook dev -p 6006",
		"build-storybook": "storybook build",
		"build-api": "typedoc",
		"test": "web-test-runner --node-resolve"
	}
}
